Apple iTunes < 12.5.1 多个漏洞(无凭据检查)

high Nessus 插件 ID 94971
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程主机上运行的应用程序受多个漏洞影响。

描述

远程 Windows 主机上运行的 Apple iTunes 版本低于 12.5.1。因而会受到多个漏洞的影响:- 由于未正确处理错误原型,而存在远程代码执行漏洞。未经身份验证的远程攻击者可利用此问题,通过诱使用户访问恶意构建的网站,以执行任意代码。(CVE-2016-4728) - 由于未正确处理位置变量导致权限问题,WebKit 中存在信息泄露漏洞。未经身份验证的远程攻击者可利用此问题,诱使用户访问恶意构建的网站,而泄露敏感信息。(CVE-2016-4758) - 由于未正确验证用户提供的输入,在 WebKit 中存在多个内存损坏错误。未经身份验证的远程攻击者可利用这些问题,通过诱使用户访问恶意构建的网站,进而造成拒绝服务情况或执行任意代码。(CVE-2016-4759, CVE-2016-4762, CVE-2016-4764, CVE-2016-4765, CVE-2016-4766, CVE-2016-4767, CVE-2016-4768, CVE-2016-4769) - 由于未正确限制 HTTP/0.9 对默认端口的响应,并且在使用不同的 HTTP 协议版本加载文档时未正确取消资源加载,WebKit 中存在重新绑定缺陷。未经身份验证的远程攻击者可利用此问题,诱使用户访问恶意构建的网站,进而访问非 HTTP 服务。(CVE-2016-4760) - 由于未正确验证 HTTPS 服务器的 X.509 证书,WKWebView 组件中的 WebKit 存在安全绕过漏洞。中间人攻击者可利用此问题,通过特制的证书欺骗服务器,泄露或操控网络流量。(CVE-2016-4763) 请注意,Nessus 并未针对这些问题进行测试,而仅依赖应用程序自我报告的版本号。

解决方案

升级版本到 Apple iTunes 版本 12.5.1 或更高版本。

另见

https://support.apple.com/en-us/HT207158

http://www.nessus.org/u?77ef6d0c

插件详情

严重性: High

ID: 94971

文件名: itunes_12_5_1_banner.nasl

版本: 1.9

类型: remote

发布时间: 2016/11/18

最近更新时间: 2019/11/14

依存关系: itunes_sharing.nasl

风险信息

CVSS 分数来源: CVE-2016-4769

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:apple:itunes

必需的 KB 项: iTunes/sharing

易利用性: No known exploits are available

补丁发布日期: 2016/9/13

漏洞发布日期: 2016/9/13

参考资料信息

CVE: CVE-2016-4728, CVE-2016-4758, CVE-2016-4759, CVE-2016-4760, CVE-2016-4762, CVE-2016-4763, CVE-2016-4764, CVE-2016-4765, CVE-2016-4766, CVE-2016-4767, CVE-2016-4768, CVE-2016-4769

BID: 93062, 93064, 93066, 93067

APPLE-SA: APPLE-SA-2016-09-20-7